PAGEIN(1)

NAME
pagein - a tool to force swapped out pages back into memory

SYNOPSIS
pagein [-a] [-h] [-p pid] [-v]

DESCRIPTION
Pagein is a tool that forces pages that are in swap to be paged in back to memory. The main usecase for pagein is to exercise the VM and swap subsystems for testing purposes.

OPTIONS
pagein options are as follow:

-a  try to page in all processes. This needs to be run with root privilege to allow pagein to access all the processes. Cannot be used with the -p option.

-h  show help information.

-p pid
    page in process with process ID pid. Cannot be used with the -a option. Processes not owned by the user need to be paged in by running pagein with root privilege.

-v  verbose mode, shows progress and paging in statistics, useful with the -a option.

EXAMPLES

Page in all processes and show progress:
    sudo pagein -a -v

Page in the compiz process:
    sudo pagein -p $(pidof compiz)

SEE ALSO
free(1)

AUTHOR
pagein was written by Colin King <colin.king@canonical.com>

This manual page was written by Colin King <colin.king@canonical.com>, for the Ubuntu project (but may be used by others).

COPYRIGHT
Copyright © 2016-2018 Canonical Ltd.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.